div {
    width: 600px;
    border: 1px solid black;
}

/**/
.martillo {
    /* Para animar una propiedad tiene que tener un position */
    position: relative;
    left: 0;
    /*Hacemos que todas las transiciones duren 3 seg y el ancho 6 segundos
    El desplazamiento durará 3 segundos
    La disminución del div durará 6 segundos
    */
    transition: all 3s, width 6s;
}

/*Le ponemos una animacion de 6 segundos*/
.martillo img {
    /* Para animar una propiedad tiene que tener un position */
    position: relative;
    left: 0px;
    transition: all 6s;
}

/*HOVERS*/

/*Cuando se ponga el raton en el div, hacemos que se mueva la imagen del martillo gire 90 grados*/

.martillo:hover>img {
    /*Hacemos que la imagen se desplace 50px en el eje X y rote 90 grados*/
    transform: translate(50px, 0px) rotate(90deg);
}

/*Cuando se ponga el raton en el div, hacemos que el div se mueva 200px en X y 200 px en Y*/
.martillo:hover {
    /*Movemos la caja*/
    transform: translate(200px, 200px);
    /*Cambiamos el ancho de la caja*/
    width: 200px;
}